(function(window, document, undefined){

var templates = {
	quality: {
		mail: {
			TemplateHead: {text: "Серийный номер:  {Serial}{#}Устройство:         {DevName}{#}Станция: {StatName}{#}Подключение: {ConnName}{#}Канал вывода: {ChanType}: {ChanName}{#}--------------------------------------"},
			TemplateEnd: {text: "{#}----------{#}Количество событий: {Num}{#}"},
			TemplateItem_1: {text: "{#}{#} {Num}. {EvtTime}  {Name} {EvtName}: {Value}{Type}  '{EvtText}'"},
			TemplateItem_2: {text: "{#}{#}{Num}. {EvtTime} {Name} глубина {2}%, длительность {1} с, Номер = {3}", attr: {blob: '.DIPSW'}},
			TemplateItem_3: {text: "{#}{#}{Num}. {EvtTime} {Name}: {1} {2} {3}", attr: {blob: '.MINMAX'}},
			TemplateItem_4: {text: "{#}{#}{Num}. {EvtTime} {Name}: {1} {2} {3}", attr: {blob: '.DIPSTAT'}}
		},
		sms: {
			TemplateHead: {text: "{ConnName}"},
			TemplateEnd: {},
			TemplateItem_1: {text: "{#}{EvtTime} {Name} {EvtName}: {Value}{Type}"},
			TemplateItem_2: {text: "{#}{EvtTime} {Name} {2}%", attr: {blob: '.DIPSW'}}
		}
	},
	ts: {
		mail: {
			TemplateHead: {text: "Серийный номер:  {Serial}{#}Устройство:         {DevName}{#}Станция: {StatName}{#}Подключение: {ConnName}{#}Канал вывода: {ChanType}: {ChanName}{#}--------------------------------------"},
			TemplateEnd: {text: "{#}----------{#}Количество событий: {Num}{#}"},
			TemplateItem: {text: "{#}{#} {Num}. {EvtTime}  {Name} : {StrValue}{EvtText}"}
		},
		sms: {
			TemplateHead: {text: "{ConnName}"},
			TemplateEnd: {},
			TemplateItem: {text: "{#} {EvtTime} {Name}: {StrValue} "}
		}
	},
	system: {
		mail: {
			TemplateHead: {text: "Серийный номер:  {Serial}{#}Устройство:         {DevName}{#}Станция: {StatName}{#}Подключение: {ConnName}{#}Канал вывода: {ChanType}: {ChanName}{#}--------------------------------------"},
			TemplateEnd: {text: "{#}----------{#}Количество событий: {Num}{#}"},
			TemplateItem_1: {text: "{#}{#} {Num}. {EvtTime}  {EvtName} {Name} : {StrValue}{Type} "}
		},
		sms: {
			TemplateHead: {text: "{ConnName}"},
			TemplateEnd: {},
			TemplateItem: {text: "{#} {EvtTime} {Name}: {StrValue} "}
		}
	},
  cps: {
		mail: {
			TemplateHead: {text: "Серийный номер:  {Serial}{#}Устройство:         {DevName}{#}Станция: {StatName}{#}Подключение: {ConnName}{#}Канал вывода: {ChanType}: {ChanName}{#}--------------------------------------"},
			TemplateEnd: {text: "{#}----------{#}Количество событий: {Num}{#}"},
      TemplateItem: {text: "{#}{#} {Num}. {EvtTime}  {Name} : {StrValue} "}
		},
		sms: {
			TemplateHead: {text: "{ConnName}"},
			TemplateEnd: {},
      TemplateItem: {text: "{#} {SEvtTime} {Name}: {StrValue} "}
		}
	}
}

	if (typeof define == 'function') {
		define('emailtempl', [], function(){
			return templates;
		});
	} else {
		window.templates = templates;
	}
})(window, document, undefined);
